petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMDASetRefinementFactor

Set the ratios that the DMDA grid is refined

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetRefinementFactor(DM da, PetscInt refine_x, PetscInt refine_y,PetscInt refine_z)

Logically Collective on da

### Input Parameters

| da | - the DMDA object
| refine_x | - ratio of fine grid to coarse in x direction (2 by default)
| refine_y | - ratio of fine grid to coarse in y direction (2 by default)
| refine_z | - ratio of fine grid to coarse in z direction (2 by default)

### Options Database

| -da_refine_x | - refinement ratio in x direction
| -da_refine_y | - refinement ratio in y direction
| -da_refine_z | - refinement ratio in z direction

### Notes

Pass PETSC_IGNORE to leave a value unchanged

### See Also

DMRefine(), DMDAGetRefinementFactor()

### Level

intermediate

### Location

src/dm/impls/da/da.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages